## kf6-knewstuff 6.15.0

=== debian/changelog ===
kf6-knewstuff (6.15.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.15.0)
  * Update install files.
  * Update cross.patch
  * Comment out .install for docs packages for now, as the qch docs are
    currently not buildable in Ubuntu.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Jun 2025 16:34:03 +0100
