=== debian/control ===
--- 
+++ 
@@ -11,19 +11,19 @@
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
                doxygen,
-               extra-cmake-modules (>= 6.16.0~),
+               extra-cmake-modules (>= 6.17.0~),
                gettext,
-               libkf6archive-dev (>= 6.16.0~),
-               libkf6attica-dev (>= 6.16.0~),
-               libkf6config-dev (>= 6.16.0~),
-               libkf6coreaddons-dev (>= 6.16.0~),
-               libkf6i18n-dev (>= 6.16.0~),
-               libkf6package-dev (>= 6.16.0~),
-               libkf6syndication-dev (>= 6.16.0~),
-               libkf6widgetsaddons-dev (>= 6.16.0~),
-               libkirigami-dev (>= 6.16.0~),
+               libkf6archive-dev (>= 6.17.0~),
+               libkf6attica-dev (>= 6.17.0~),
+               libkf6config-dev (>= 6.17.0~),
+               libkf6coreaddons-dev (>= 6.17.0~),
+               libkf6i18n-dev (>= 6.17.0~),
+               libkf6package-dev (>= 6.17.0~),
+               libkf6syndication-dev (>= 6.17.0~),
+               libkf6widgetsaddons-dev (>= 6.17.0~),
+               libkirigami-dev (>= 6.17.0~),
                libxkbcommon-dev,
-               qml6-module-org-kde-kcmutils (>= 6.16.0~),
+               qml6-module-org-kde-kcmutils (>= 6.17.0~),
                qt6-base-dev (>= 6.6.0~),
                qt6-base-private-dev (>= 6.5.0+dfsg~),
                qt6-declarative-dev (>= 6.6.0~),
@@ -65,8 +65,8 @@
 Package: libkf6newstuff-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6attica-dev (>= 6.16.0~),
-         libkf6coreaddons-dev (>= 6.16.0~),
+Depends: libkf6attica-dev (>= 6.17.0~),
+         libkf6coreaddons-dev (>= 6.17.0~),
          libkf6newstuffcore6 (= ${binary:Version}),
          libkf6newstuffwidgets6 (= ${binary:Version}),
          qml6-module-org-kde-newstuff (= ${binary:Version}),
