=== src/core/CMakeLists.txt ===
--- 
+++ 
@@ -92,7 +92,6 @@
 
 set(KNewStuffCore_BUILD_INCLUDE_DIRS
     ${KNewStuff_BINARY_DIR}
-    ${CMAKE_CURRENT_BINARY_DIR}
     ${CMAKE_SOURCE_DIR}/src
 )
