=== debian/control ===
--- 
+++ 
@@ -1,39 +1,40 @@
 Source: kf6-knewstuff
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.18.0~),
+               extra-cmake-modules (>= 6.19.0~),
                gettext,
-               libkf6archive-dev (>= 6.18.0~),
-               libkf6attica-dev (>= 6.18.0~),
-               libkf6config-dev (>= 6.18.0~),
-               libkf6coreaddons-dev (>= 6.18.0~),
-               libkf6i18n-dev (>= 6.18.0~),
-               libkf6package-dev (>= 6.18.0~),
-               libkf6syndication-dev (>= 6.0.0~),
-               libkf6widgetsaddons-dev (>= 6.18.0~),
-               libkirigami-dev (>= 2.12.0~),
+               libkf6archive-dev (>= 6.19.0~),
+               libkf6attica-dev (>= 6.19.0~),
+               libkf6config-dev (>= 6.19.0~),
+               libkf6coreaddons-dev (>= 6.19.0~),
+               libkf6i18n-dev (>= 6.19.0~),
+               libkf6package-dev (>= 6.19.0~),
+               libkf6syndication-dev (>= 6.19.0~),
+               libkf6widgetsaddons-dev (>= 6.19.0~),
+               libkirigami-dev (>= 6.19.0~),
                libxkbcommon-dev,
-               qml6-module-org-kde-kcmutils,
-               qt6-base-dev (>= 6.7.0~),
+               qml6-module-org-kde-kcmutils (>= 6.19.0~),
+               qt6-base-dev (>= 6.6.0~),
                qt6-base-private-dev (>= 6.5.0+dfsg~),
-               qt6-declarative-dev (>= 6.7.0~),
+               qt6-declarative-dev (>= 6.6.0~),
                qt6-declarative-private-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/knewstuff
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-knewstuff
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-knewstuff.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-knewstuff
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-knewstuff
 Rules-Requires-Root: no
 
 Package: knewstuff-dialog6
@@ -42,6 +43,8 @@
          qml6-module-org-kde-newstuff (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
+Breaks: libkf6newstuff-data (<< 6.11.0-1~),
+Replaces: libkf6newstuff-data (<< 6.11.0-1~),
 Description: Support for downloading application assets from the network
  Framework for downloading and sharing additional
  application data.
@@ -62,12 +65,12 @@
 Package: libkf6newstuff-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6attica-dev (>= 6.18.0~),
-         libkf6coreaddons-dev (>= 6.18.0~),
+Depends: libkf6attica-dev (>= 6.19.0~),
+         libkf6coreaddons-dev (>= 6.19.0~),
          libkf6newstuffcore6 (= ${binary:Version}),
          libkf6newstuffwidgets6 (= ${binary:Version}),
          qml6-module-org-kde-newstuff (= ${binary:Version}),
-         qt6-base-dev (>= 6.7.0~),
+         qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: libkf6newstuff-doc (= ${source:Version}),
@@ -111,9 +114,7 @@
 
 Package: qml6-module-org-kde-newstuff
 Architecture: any
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: Support for downloading application assets from the network
  Framework for downloading and sharing additional
  application data.
