=== debian/rules ===
--- 
+++ 
@@ -10,4 +10,4 @@
 	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_DESIGNERPLUGIN=ON
 
 override_dh_auto_test:
-	xvfb-run -a dh_auto_test -- ARGS+='-E "^knewstuff-atticaprovidertes"'
+	-xvfb-run -a dh_auto_test -- ARGS+='-E "^knewstuff-atticaprovidertes"'
