## kf6-knewstuff 6.19.0+p24.04+vstable+git20251017.0441

=== debian/changelog ===
kf6-knewstuff (6.19.0+p24.04+vstable+git20251017.0441-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 17 Oct 2025 04:42:10 +0000

kf6-knewstuff (6.19.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 07:02:26 +0000
