## kf6-knewstuff 6.19.0+p24.04+vstable+git20251021.0312

=== debian/changelog ===
kf6-knewstuff (6.19.0+p24.04+vstable+git20251021.0312-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 03:13:12 +0000
